


-------------------------------------------------------------------------------------------------
--  Get Loot: Called from Looted() (which is called from: EVENT_LOOT_UPDATED) --
-------------------------------------------------------------------------------------------------
function JunkIt.GetLoot()
	if not JunkIt.SavedVariables["LOOTMODE"] then return end
	local bShouldLootStolen = JunkIt.SavedVariables["LOOTSTOLENITEMS"]
	local iNumLootItems = GetNumLootItems()
	LootMoney() 
	
	for iLootIndex = 1, iNumLootItems do
		local iInstancedLootId  = GetLootItemInfo(iLootIndex)
		local lItemLootLink = GetLootItemLink(iInstancedLootId, LINK_STYLE_DEFAULT)
		if (not JunkIt.IsItemJunk(lItemLootLink)) then
			if not IsItemLinkStolen(lItemLootLink) or bShouldLootStolen then
				LootItemById(iInstancedLootId)
			end
		end
	end
end










